import Route = require("flamingo/src/model/route");
import FlamingoOperation = require("flamingo/src/model/flamingo-operation");
import Server = require("flamingo/src/model/server");
import Config = require("flamingo/config");
import Constructor from "flamingo/src/model/Constructor";
declare const _default: <T extends Constructor<Route>>(SuperClass: T) => {
    new (...args: any[]): {
        /**
         * Extracts bucket name and key for a given operation
         * @param {FlamingoOperation} operation
         * @return {Promise.<{bucket: string, key: string}>}
         */
        extractInput(operation: FlamingoOperation): Promise<{
            bucket: any;
            key: any;
        }>;
        /**
         * Creates a s3 reader for the given bucket and key
         * @param {string} bucket
         * @param {string} key
         * @return {Promise.<function(): Promise.<ReadResult>>}
         */
        extractReader({ bucket, key }: {
            bucket: any;
            key: any;
        }): Promise<() => Promise<import("flamingo/src/types/ReaderResult").ReaderResult>>;
        path: string;
        method: import("@hapi/hapi").Util.HTTP_METHODS_PARTIAL;
        config: Config;
        description: string;
        parseState: boolean;
        cors: boolean;
        server: Server;
        handle(operation: any): Promise<any>;
        hapiConfig(defaults?: any): import("@hapi/hapi").ServerRoute;
        buildOperation(request: any, reply: import("@hapi/hapi").ResponseToolkit): Promise<FlamingoOperation>;
        handleError(request: any, reply: import("@hapi/hapi").ResponseToolkit, error: any, operation?: FlamingoOperation | undefined): void;
    };
} & T;
export = _default;
