import Image = require("flamingo/src/routes/image");
import FlamingoOperation = require("flamingo/src/model/flamingo-operation");
import Server = require("flamingo/src/model/server");
import Config = require("flamingo/config");
declare const S3Route_base: {
    new (...args: any[]): {
        extractInput(operation: FlamingoOperation): Promise<{
            bucket: any;
            key: any;
        }>;
        extractReader({ bucket, key }: {
            bucket: any;
            key: any;
        }): Promise<() => Promise<import("flamingo/src/types/ReaderResult").ReaderResult>>;
        path: string;
        method: import("@hapi/hapi").Util.HTTP_METHODS_PARTIAL;
        config: Config;
        description: string;
        parseState: boolean;
        cors: boolean;
        server: Server;
        handle(operation: any): Promise<any>;
        hapiConfig(defaults?: any): import("@hapi/hapi").ServerRoute;
        buildOperation(request: any, reply: import("@hapi/hapi").ResponseToolkit): Promise<FlamingoOperation>;
        handleError(request: any, reply: import("@hapi/hapi").ResponseToolkit, error: any, operation?: FlamingoOperation | undefined): void;
    };
} & typeof Image;
/**
 * Flamingo Image route
 * @external Image
 * @see {@link https://piobyte.github.io/flamingo/Image.html|Image}
 */
/**
 * Route that converts an image, stored on aws s3
 * @class
 * @mixes S3
 * @extends external:Image
 */
declare class S3Route extends S3Route_base {
    constructor(conf: any, method?: string, path?: string, description?: string);
}
export = S3Route;
